<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 1. Partir du bon pied</title>
    <link rel="stylesheet" type="text/css" href="debian.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="up" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="prev" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="next" href="first.fr.html" title="Chapitre 2. Premiers pas"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 1. Partir du bon pied</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="index.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="first.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="start"/>Chapitre 1. Partir du bon pied</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="start.fr.html#socialdynamics">1.1. Dynamique sociale de Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="start.fr.html#needprogs">1.2. Programmes nécessaires au développement</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="start.fr.html#needdocs">1.3. Documentation nécessaire au développement</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="start.fr.html#helpme">1.4. Où demander de l'aide</a>
            </span>
          </dt>
        </dl>
      </div>
      <p>
Ce document essaie de décrire aux utilisateurs Debian moyens, et aux
développeurs en devenir, la construction d'un paquet Debian. Il utilise un
langage pas trop technique et est complété par des exemples, selon le vieux
proverbe latin : « <span class="emphasis"><em>Longum iter est per praecepta, breve et efficax
per exempla</em></span> » (c'est long par la règle, court et efficace par
l'exemple).
</p>
      <p>
Ce document a été mis à jour pour la version
<code class="literal">Jessie</code> de Debian. <a href="#ftn.idp38165344" class="footnote" id="idp38165344"><sup class="footnote">[1]</sup></a>
</p>
      <p>
Une des choses qui font de Debian une distribution de si haut niveau est son
système de paquets. Bien qu'il existe une grande quantité de logiciels au
format Debian, vous devrez parfois installer un logiciel qui ne l'est
pas. Vous pouvez vous demander comment faire vos propres paquets et
peut-être pensez-vous que c'est une tâche très difficile. Eh bien, si vous
êtes vraiment un débutant sous Linux, c'est dur, mais si vous étiez un
débutant, vous ne seriez pas en train de lire ce document. :-) Vous devez en
savoir un peu sur la programmation UNIX, mais vous n'avez certainement pas
besoin d'être un magicien. <a href="#ftn.idp38161344" class="footnote" id="idp38161344"><sup class="footnote">[2]</sup></a>
</p>
      <p>
Une chose est sûre, cependant : créer et maintenir correctement des paquets
Debian prend beaucoup de temps. Ne vous faites pas d'illusion, pour que
votre système fonctionne, les responsables doivent à la fois être
techniquement compétents et consciencieux.
</p>
      <p>
Si vous avez besoin d'aide sur l'empaquetage, veuillez consulter <a class="xref" href="start.fr.html#helpme" title="1.4. Où demander de l'aide">Section 1.4, « Où demander de l'aide »</a>.
</p>
      <p>
Les nouvelles versions de ce document devraient toujours être disponibles en
ligne sur <a class="ulink" href="http://www.debian.org/doc/maint-guide/">http://www.debian.org/doc/maint-guide/</a>. La version de référence en anglais
est disponible sur <a class="ulink" href="http://www.debian.org/doc/maint-guide/index.en.html">http://www.debian.org/doc/maint-guide/index.en.html</a> et dans le
paquet <span class="package">maint-guide</span>. La traduction en français est
également disponible dans le paquet <span class="package">maint-guide-fr</span>.
</p>
      <p>
Puisqu'il s'agit d'un tutoriel, il a été choisi d'expliquer de façon
détaillée chaque étape pour certains sujets importants. Certains d'entre eux
pourrait vous sembler hors-sujet. Veuillez être patient. Certains cas
particuliers ont été sautés, et seuls des liens ont été fournis pour
conserver la simplicité de ce document.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="socialdynamics"/>1.1. Dynamique sociale de Debian</h2>
            </div>
          </div>
        </div>
        <p>
Voici quelques observations sur la dynamique sociale de Debian, en espérant
qu'elles puissent vous préparer à interagir avec Debian :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>Nous sommes tous bénévoles.</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>Vous ne pouvez pas forcer les autres à faire quoi que ce soit.</p>
                  </li>
                  <li class="listitem">
                    <p>Vous devriez être motivé à faire des choses vous-même.</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>La coopération amicale est la force motrice.</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>Vos contributions ne devraient pas surmener les autres.</p>
                  </li>
                  <li class="listitem">
                    <p>Vos contributions n'ont de sens que si les autres les apprécient.</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>Debian n'est pas une école où vous attirez automatiquement l'attention des
professeurs.</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>Vous devriez être capable d'apprendre la plupart des choses par vous-même.</p>
                  </li>
                  <li class="listitem">
                    <p>L'attention des autres bénévoles est une ressource très rare.</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>Debian s'améliore sans cesse.</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>On s'attend à ce que vous fassiez des paquets de haute qualité.</p>
                  </li>
                  <li class="listitem">
                    <p>Vous devrez vous adapter vous-même aux modifications.</p>
                  </li>
                </ul>
              </div>
            </li>
          </ul>
        </div>
        <p>
Plusieurs sortes de personnes ont rapport à Debian avec différent rôles :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
<span class="strong"><strong>auteur amont</strong></span> : la personne qui a créé le
programme à l'origine ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>responsable amont</strong></span> : la personne qui
maintient actuellement le programme ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>responsable</strong></span> : la personne qui maintient
le paquet Debian du programme ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>parrain</strong></span> : une personne qui aide les
responsables à envoyer des paquets dans l'archive officielle de paquets
Debian (après en avoir vérifié le contenu) ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>mentor</strong></span> : une personne qui aide les
responsables débutants pour l'empaquetage, etc. ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>développeur Debian</strong></span> (DD) : un membre du
projet Debian avec tous les droits d'envoi vers l'archive officielle de
paquets Debian ;
</p>
            </li>
            <li class="listitem">
              <p>
<span class="strong"><strong>responsable Debian</strong></span> (DM) : une personne
avec des droits d'envoi limités vers l'archive officielle de paquets Debian.
</p>
            </li>
          </ul>
        </div>
        <p>
Veuillez remarquer qu'il n'est pas possible de devenir <span class="strong"><strong>développeur Debian</strong></span> (DD) en une nuit car il ne
suffit pas de compétences techniques. Veuillez ne pas vous décourager. Si
c'est utile à d'autres, vous pouvez toujours envoyer vos paquets, soit en
tant que <span class="strong"><strong>responsable</strong></span> à l’aide d’un
<span class="strong"><strong>parrain</strong></span>, soit comme un <span class="strong"><strong>responsable Debian</strong></span>.
</p>
        <p>
Remarquez qu'il n'est pas nécessaire de créer de nouveau paquet pour devenir
un développeur Debian officiel. Contribuer aux paquets existants peut aussi
fournir une voie pour devenir un développeur Debian. Beaucoup de paquets
sont en attente de bons responsables (consultez <a class="xref" href="first.fr.html#choose" title="2.2. Choix du programme">Section 2.2, « Choix du programme »</a>).
</p>
        <p>
Puisque nous nous concentrons dans ce document exclusivement sur les aspects
techniques de l'empaquetage, veuillez consulter les documents suivants pour
apprendre comment Debian fonctionne et comment vous investir :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p><a class="ulink" href="http://upsilon.cc/~zack/talks/2011/20110321-taipei.pdf">Debian : 17 ans de logiciel libre,
« do-ocracy » et démocratie</a> (diapositives introductives en anglais
au) </p>
            </li>
            <li class="listitem">
              <p><a class="ulink" href="http://www.debian.org/intro/help">Comment pouvez-vous aider Debian ?</a>
(officiel) </p>
            </li>
            <li class="listitem">
              <p><a class="ulink" href="http://www.debian.org/doc/FAQ/ch-contributing">La FAQ Debian GNU/Linux,
Chapitre 13 — Participer au projet Debian</a> (semi-officiel) </p>
            </li>
            <li class="listitem">
              <p><a class="ulink" href="http://wiki.debian.org/fr/HelpDebian">Wiki Debian, HelpDebian</a>
(supplémentaire) </p>
            </li>
            <li class="listitem">
              <p><a class="ulink" href="https://nm.debian.org/">Site du nouveau membre Debian</a> (officiel) </p>
            </li>
            <li class="listitem">
              <p><a class="ulink" href="http://wiki.debian.org/DebianMentorsFaq">FAQ de Debian Mentors</a>
(supplémentaire) </p>
            </li>
          </ul>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="needprogs"/>1.2. Programmes nécessaires au développement</h2>
            </div>
          </div>
        </div>
        <p>
Avant de commencer quoi que ce soit, vous devriez vous assurer d'avoir
correctement installé certains paquets nécessaires au développement. Notez
que la liste ne contient aucun paquet marqué <code class="literal">essential</code> ou
<code class="literal">required</code> (essentiel ou requis) — nous supposons que
ceux-ci sont déjà installés.
</p>
        <p>
Les paquets suivants sont fournis dans l'installation standard de Debian, de
sorte que vous les avez probablement déjà (ainsi que les paquets
supplémentaires dont ils dépendent). Néanmoins, vous devriez le vérifier
avec <code class="literal">aptitude show <em class="replaceable"><code>paquet</code></em></code> ou
avec <code class="literal">dpkg -s <em class="replaceable"><code>paquet</code></em></code>.
</p>
        <p>
Le paquet le plus important à installer sur un système de développement est
<code class="systemitem">build-essential</code>. Lors de son
installation, il <span class="emphasis"><em>tirera</em></span> avec lui d'autres paquets
nécessaires à un environnement de compilation de base.
</p>
        <p>
Pour certaines catégories de paquets, c'est tout ce dont vous aurez
besoin. Cependant d'autres paquets, bien que non essentiels à toutes les
constructions de paquet, sont utiles ou peuvent être nécessaires pour votre
paquet :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
<code class="systemitem">autoconf</code>, <code class="systemitem">automake</code> et <code class="systemitem">autotools-dev</code> — beaucoup de nouveaux programmes
utilisent des scripts de configuration et des fichiers
<code class="filename">Makefile</code> prétraités à l'aide de programmes comme
ceux-ci (consultez <code class="literal">info autoconf</code> et <code class="literal">info
automake</code>). <code class="systemitem">autotools-dev</code>
conserve les versions à jour de certains de ces fichiers automatiques et
fournit une documentation sur la meilleure façon d'utiliser ces fichiers ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">debhelper</code> et <code class="systemitem">dh-make</code> — <code class="systemitem">dh-make</code> est nécessaire pour créer le squelette
de notre exemple de paquet et il utilise certains outils de <code class="systemitem">debhelper</code> pour créer les paquets. Ils ne sont
pas indispensables pour cela, mais sont <span class="emphasis"><em>fortement</em></span>
recommandés pour les nouveaux responsables. Ils rendent le processus complet
bien plus facile à démarrer et à contrôler par la suite (consultez
<span class="citerefentry"><span class="refentrytitle">dh_make</span>(8)</span> et <span class="citerefentry"><span class="refentrytitle">debhelper</span>(1)</span>) <a href="#ftn.idp38303648" class="footnote" id="idp38303648"><sup class="footnote">[3]</sup></a> ;
</p>
              <p>
Le nouveau paquet <code class="systemitem">debmake</code> peut être
utilisé comme alternative au paquet standard <code class="systemitem">dh-make</code>. Il est plus puissant et fourni avec une
documentation HTML incluant des exemples complets d’empaquetage.
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">devscripts</code> — ce paquet contient des
scripts utiles pouvant aider les responsables, mais ils ne sont pas
indispensables pour la création de paquets. Les paquets recommandés et
suggérés par celui-ci valent le coup d'œil (consultez
<code class="filename">/usr/share/doc/devscripts/README.gz</code>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">fakeroot</code> — cet utilitaire vous
laisse prétendre être le superutilisateur, ce qui est nécessaire pour
certaines parties du processus de construction (consultez <span class="citerefentry"><span class="refentrytitle">fakeroot</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">file</code> — ce programme pratique peut
déterminer la nature d'un fichier (consultez <span class="citerefentry"><span class="refentrytitle">file</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">gfortran</code> — le compilateur Fortran 95
de GNU, nécessaire si votre programme est écrit en Fortran (consultez
<span class="citerefentry"><span class="refentrytitle">gfortran</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">git</code> — ce paquet fournit un système
populaire de gestion de version conçu pour manipuler de très gros projets
rapidement et efficacement ; il est utilisé pour des projets libres de
grande envergure, en particulier le noyau Linux (consultez <span class="citerefentry"><span class="refentrytitle">git</span>(1)</span>
et le manuel de Git, <code class="filename">/usr/share/doc/git-doc/index.html</code>).
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">gnupg</code> — un outil qui vous permet de
<span class="emphasis"><em>signer</em></span> numériquement les paquets. Cela est spécialement
important si vous comptez les distribuer à d'autres personnes, et c'est
certainement ce que vous ferez quand votre travail sera inclus dans la
distribution Debian (consultez <span class="citerefentry"><span class="refentrytitle">gpg</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">gpc</code> — le compilateur Pascal de GNU,
nécessaire si votre programme est écrit en Pascal. Méritant d'être mentionné
ici, <code class="systemitem">fp-compiler</code>, le compilateur
Pascal libre, convient également (consultez <span class="citerefentry"><span class="refentrytitle">gpc</span>(1)</span>,
<span class="citerefentry"><span class="refentrytitle">ppc386</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">lintian</code> — c'est le vérificateur de
paquet Debian, qui peut indiquer de nombreuses erreurs courantes après la
construction du paquet et expliquer les erreurs trouvées (consultez
<span class="citerefentry"><span class="refentrytitle">lintian</span>(1)</span> et le <a class="ulink" href="/usr/share/doc/lintian/lintian.html/index.html">manuel utilisateur de Lintian</a>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">patch</code> — ce programme très utile
prend un fichier contenant une liste de différences (produite par le
programme <span class="command"><strong>diff</strong></span>) et l'applique au fichier original,
produisant une version modifiée (consultez <span class="citerefentry"><span class="refentrytitle">patch</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">patchutils</code> — ce paquet contient
certains utilitaires pour travailler avec les correctifs comme les commandes
<span class="command"><strong>lsdiff</strong></span>, <span class="command"><strong>interdiff</strong></span> et
<span class="command"><strong>filterdiff</strong></span> ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">pbuilder</code> — ce paquet contient des
programmes utilisés pour créer et maintenir un environnement
« <span class="command"><strong>chroot</strong></span>é ». Construire un paquet Debian dans cet
environnement permet de vérifier les dépendances correctes de construction
et évite les bogues FTBFS (« Fails To Build From Source » pour les échecs de
construction à partir du paquet source) (consultez <span class="citerefentry"><span class="refentrytitle">pbuilder</span>(8)</span> et <span class="citerefentry"><span class="refentrytitle">pdebuild</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">perl</code> — Perl est un des langages de
script les plus utilisés sur les systèmes modernes similaires à UNIX,
souvent qualifié de « tronçonneuse suisse d'UNIX » (consultez <span class="citerefentry"><span class="refentrytitle">perl</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">python</code> — Python fait aussi partie
des langages de script les plus utilisés sur le système Debian, combinant
une remarquable puissance et une syntaxe très claire (consultez
<span class="citerefentry"><span class="refentrytitle">python</span>(1)</span>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">quilt</code> — ce paquet aide à gérer un
grand nombre de correctifs en gardant une trace du rôle de chacun. Les
correctifs peuvent être appliqués, enlevés, rafraîchis, etc. (consultez
<span class="citerefentry"><span class="refentrytitle">quilt</span>(1)</span> et <code class="filename">/usr/share/doc/quilt/quilt.pdf.gz</code>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">xutils-dev</code> — certains programmes,
d'ordinaire ceux conçus pour X11, utilisent aussi ces programmes pour
générer les fichiers <code class="filename">Makefile</code> à partir d'un ensemble de
fonctions macros (consultez <span class="citerefentry"><span class="refentrytitle">imake</span>(1)</span>, <span class="citerefentry"><span class="refentrytitle">xmkmf</span>(1)</span>) ;
</p>
            </li>
          </ul>
        </div>
        <p>
Les courtes descriptions données ci-dessus ne servent qu’à vous présenter ce
que fait chaque paquet. Avant de continuer, veuillez lire la documentation
de chaque programme pertinent, y compris ceux installés par les dépendances
du paquet comme <span class="command"><strong>make</strong></span>, au moins celle concernant
l'utilisation standard. Cela peut vous sembler fastidieux maintenant, mais
plus tard vous serez <span class="emphasis"><em>très</em></span> content de l'avoir fait. Si
vous avez des questions particulières par la suite, vous devriez relire les
documents mentionnés ci-dessus.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="needdocs"/>1.3. Documentation nécessaire au développement</h2>
            </div>
          </div>
        </div>
        <p>
Les documents suivants sont <span class="emphasis"><em>très importants</em></span> et doivent
être lus en parallèle à ce document :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
<code class="systemitem">debian-policy</code> — la <a class="ulink" href="http://www.debian.org/doc/devel-manuals#policy">Charte Debian</a> inclut des explications sur la
structure et le contenu de l'archive Debian, plusieurs considérations sur
l'architecture du système d'exploitation, la norme de hiérarchie des
fichiers (« <a class="ulink" href="http://www.debian.org/doc/packaging-manuals/fhs/fhs-2.3.html">Filesystem Hierarchy Standard</a> » ou
FHS, qui définit où chaque fichier et répertoire doivent se
trouver), etc. Le plus important pour vous est qu'elle décrive les critères
que chaque paquet doit vérifier pour être inclus dans la distribution
(consultez les copies locales de <code class="filename">/usr/share/doc/debian-policy/policy.pdf.gz</code> et
<code class="filename">/usr/share/doc/debian-policy/fhs/fhs-2.3.pdf.gz</code>) ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">developers-reference</code> — la <a class="ulink" href="http://www.debian.org/doc/devel-manuals#devref">Référence du développeur Debian</a>
concerne tout ce qui n'est pas spécifique aux détails techniques de la
création de paquets, comme la structure des archives, comment renommer,
abandonner, adopter les paquets, faire une NMU (« Non-Maintainer Uploads »
ou mise à jour indépendante), comment gérer les bogues, les meilleures
pratiques d'empaquetage, où et quand faire des envois de
paquets, etc. (consultez la copie locale de
<code class="filename">/usr/share/doc/developers-reference-fr/developers-reference.pdf</code>) ;
</p>
            </li>
          </ul>
        </div>
        <p>
Les documents suivants sont <span class="emphasis"><em>importants</em></span> et doivent être
lus en parallèle à ce document :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
Le <a class="ulink" href="http://www.lrde.epita.fr/~adl/autotools.html">tutoriel des Autotools</a> fournit
un très bon tutoriel pour le <a class="ulink" href="http://fr.wikipedia.org/wiki/Autotools">système de construction GNU
connu sous le nom de GNU Autotools</a> dont les composants les plus
importants sont Autoconf, Automake, Libtool et gettext ;
</p>
            </li>
            <li class="listitem">
              <p>
<code class="systemitem">gnu-standards</code> — ce paquet contient
deux documentations issues du projet GNU : les <a class="ulink" href="http://www.gnu.org/prep/standards/html_node/index.html">normes GNU de codage</a>, et les <a class="ulink" href="http://www.gnu.org/prep/maintain/html_node/index.html">informations pour les responsables de programme
GNU</a>. Bien que Debian n'exige pas que ces recommandations soient
suivies, elles sont néanmoins utiles en tant que lignes directrices et bon
sens (consultez les copies locales de
<code class="filename">/usr/share/doc/gnu-standards/standards.pdf.gz</code> et
<code class="filename">/usr/share/doc/gnu-standards/maintain.pdf.gz</code>).
</p>
            </li>
          </ul>
        </div>
        <p>
Si ce document contredit n'importe quelle documentation précédente, celle-ci
est prioritaire. Veuillez signaler un bogue sur le paquet <code class="systemitem">maint-guide</code> avec <span class="command"><strong>reportbug</strong></span>.
</p>
        <p>
Voici d'autres tutoriels qui peuvent être lus en parallèle à ce document :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p><a class="ulink" href="http://www.debian.org/doc/packaging-manuals/packaging-tutorial/packaging-tutorial">tutoriel d'empaquetage Debian</a> ;</p>
            </li>
          </ul>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="helpme"/>1.4. Où demander de l'aide</h2>
            </div>
          </div>
        </div>
        <p>
Avant de vous décider à poser publiquement une question, veuillez lire la
documentation :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
fichiers de
<code class="filename">/usr/share/doc/<em class="replaceable"><code>paquet</code></em></code> pour
tous les paquets appropriés ;
</p>
            </li>
            <li class="listitem">
              <p>
contenu de <code class="literal"><span class="command"><strong>man</strong></span>
<em class="replaceable"><code>commande</code></em></code> pour tous les paquets
appropriées ;
</p>
            </li>
            <li class="listitem">
              <p>
contenu de <code class="literal"><span class="command"><strong>info</strong></span>
<em class="replaceable"><code>commande</code></em></code> pour tous les paquets
appropriées ;
</p>
            </li>
            <li class="listitem">
              <p>
contenu des <a class="ulink" href="http://lists.debian.org/debian-mentors/">archives de la liste de
diffusion debian-mentors@lists.debian.org</a> ;
</p>
            </li>
            <li class="listitem">
              <p>
contenu des <a class="ulink" href="http://lists.debian.org/debian-devel/">archives de la liste de
diffusion debian-devel@lists.debian.org</a>.
</p>
            </li>
          </ul>
        </div>
        <p>
Vous pouvez utiliser le moteur de recherche plus efficacement en indiquant
des chaînes de recherche comme <code class="literal">site:lists.debian.org</code> pour
limiter le domaine.
</p>
        <p>
Faire un petit paquet de test est une bonne façon d'apprendre les
particularités de l'empaquetage. Examiner les paquets bien maintenus est le
meilleur moyen d'apprendre comment les autres font leurs paquets.
</p>
        <p>
Si vous avez encore des questions sur la création de paquets pour lesquelles
vous n'avez pas pu trouver de réponse dans la documentation disponible ou
sur la toile, vous pouvez les poser de façon interactive :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
<a class="ulink" href="http://lists.debian.org/debian-mentors/">liste de diffusion
debian-mentors@lists.debian.org</a> (cette liste est pour les
débutants) ;
</p>
            </li>
            <li class="listitem">
              <p>
<a class="ulink" href="http://lists.debian.org/debian-devel/">liste de diffusion
debian-devel@lists.debian.org</a> (cette liste est pour les
spécialistes) ;
</p>
            </li>
            <li class="listitem">
              <p>
<a class="ulink" href="http://www.debian.org/support#irc">IRC</a>, par exemple
<code class="literal">#debian-mentors</code> ;
</p>
            </li>
            <li class="listitem">
              <p>
équipes se concentrant sur un ensemble particulier de paquets (liste
complète à <a class="ulink" href="https://wiki.debian.org/Teams">https://wiki.debian.org/Teams</a>) ;
</p>
            </li>
            <li class="listitem">
              <p>
listes de diffusion de certaines langues comme
debian-devel-{french,italian,portuguese,spanish}@lists.debian.org ou
debian-devel@debian.or.jp (liste complète à <a class="ulink" href="https://lists.debian.org/devel.html">https://lists.debian.org/devel.html</a> et <a class="ulink" href="https://lists.debian.org/users.html">https://lists.debian.org/users.html</a>).
</p>
            </li>
          </ul>
        </div>
        <p>
Les responsables Debian les plus expérimentés seront heureux de vous aider,
si vous demandez correctement après avoir fait les efforts nécessaires.
</p>
        <p>
Quand vous recevrez un rapport de bogue (oui, un vrai rapport de bogue !),
vous saurez qu'il est temps de vous plonger dans le <a class="ulink" href="http://www.debian.org/Bugs/">système de suivi de bogues Debian</a> et de lire la
documentation, pour être à même de gérer les rapports efficacement. La
lecture de la <a class="ulink" href="http://www.debian.org/doc/manuals/developers-reference/pkgs.html#bug-handling">référence du développeur
Debian, chapitre 5.8. « Manipulation des bogues »</a> est fortement
recommandée.
</p>
        <p>
Même si tout fonctionne bien, il est temps de commencer à prier. Pourquoi ?
Parce que dans quelques heures (ou jours) les utilisateurs du monde entier
vont commencer à utiliser votre paquet, et si vous avez fait des erreurs
critiques, vous serez bombardé par les courriers électroniques
d'utilisateurs Debian furieux… :-)
</p>
        <p>
Relaxez-vous et soyez prêt pour les rapports de bogues, parce qu'il y aura
beaucoup plus de travail à faire avant que votre paquet ne soit parfaitement
conforme aux règles Debian (une fois encore, lisez la <span class="emphasis"><em>vraie
documentation</em></span> pour les détails). Bonne chance !
</p>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idp38165344" class="footnote">
          <p><a href="#idp38165344" class="para"><sup class="para">[1] </sup></a> Ce document suppose que vous utilisez un système
<code class="literal">Jessie</code> ou plus récent. Si vous avez l'intention
de suivre ce texte avec un système plus ancien (y compris un ancien système
Ubuntu par exemple), vous devez au moins installer les paquets <code class="systemitem">dpkg</code> et <code class="systemitem">debhelper</code> rétroportés.
</p>
        </div>
        <div id="ftn.idp38161344" class="footnote">
          <p><a href="#idp38161344" class="para"><sup class="para">[2] </sup></a>
Vous pouvez apprendre les bases du système Debian à partir de la <a class="ulink" href="http://www.debian.org/doc/manuals/debian-reference/">Référence Debian</a>. Elle contient aussi quelques liens
pour apprendre la programmation UNIX.
</p>
        </div>
        <div id="ftn.idp38303648" class="footnote">
          <p><a href="#idp38303648" class="para"><sup class="para">[3] </sup></a> D'autres paquets plus spécialisés mais similaires existent aussi comme
<code class="systemitem">dh-make-perl</code>, <code class="systemitem">dh-make-php</code>, etc.  </p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="index.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="first.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Guide du nouveau responsable Debian </td>
          <td align="center">
            <a accesskey="h" href="index.fr.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 2. Premiers pas</td>
        </tr>
      </table>
    </div>
  </body>
</html>
